﻿@model Jumbula.Core.Model.Report.Filter.JbDropDownReportFilter


<div class="place-left  padding-right20" style="width: @Model.Width;">
    <label ng-class="Filters.Elements[@Model.Id].IsRequired == true ? 'req-star' : ''" style="font-weight: @Model.FontWeight">{{Filters.Elements[@Model.Id].Title}}</label>
    <div class="input-control select" data-role="input-control">
        <select ng-change="setOnChangeAction(Filters.Elements[@Model.Id].TargetFilter, @Model.Id)"
                ng-model="Model[@Model.Id]" chosen
                ng-options="obj.Value as obj.Text group by obj.Group for obj in Filters.Elements[@Model.Id].Data"></select>
    </div>
</div>
